{% extends "base.html" %}
{% comment %}
#
# This file is part of FreedomBox.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
{% endcomment %}

{% load bootstrap %}
{% load i18n %}
{% load static %}

{% block content %}
  <h2>{{ title }}</h2>

  {% if name %}
    <p>
      {% trans 'Restore data from' %} {{ name }}
    </p>
  {% endif %}

  <p>
    <form class="form" method="post">
      {% csrf_token %}

      {{ form|bootstrap }}

      <input id="restore_btn" type="submit"
             class="btn btn-primary"
             onclick="swapWithLoadingButton();"
             value="{% trans 'Restore' %}" />

      <button id="loading_btn" class="btn btn-primary sr-only" disabled>
        <span class="fa fa-spinner fa-pulse fa-fw" aria-hidden="true"></span>
        {% trans "Restoring" %}
      </button>

      <a class="btn btn-default" role="button"
         href="{% url 'backups:index' %}">
        {% trans "Cancel" %}
      </a>
    </form>
  </p>

{% endblock %}

{% block page_js %}
  <script type="text/javascript"
          src="{% static 'backups/loading_button.js' %}"></script>
  <script type="text/javascript" src="{% static 'backups/select_all.js' %}"></script>
{% endblock %}
